C WARNING MESSAGE:
C ^^^^^^^^^^^^^^^
C
C Generating code for file example.f...
C WARNING: fortrancode.l: stack empty!Generating file documentation...
C
C
C ERROR MESSAGE:
C ^^^^^^^^^^^^^
C 
C Parsing file /home/mohr/Research/Geophysik/doxygen/bug/example.f...
C parse error in end <scopename>********************************************************************
C Error in file /home/mohr/Research/Geophysik/doxygen/bug/example.f line: 21, state: 6
C ********************************************************************
C 
C RESULT OF TEST CODE:
C ^^^^^^^^^^^^^^^^^^^
C 
C  Variant | Warning | Error
C ----------------------------
C     1    |    x    |   x
C ----------------------------
C     2    |    x    |   -
C ----------------------------
C     3    |    -    |   x
C ----------------------------
C     4    |    -    |   -
C ----------------------------
C     5    |    -    |   -
C ----------------------------
C     6    |    -    |   -
C ----------------------------


      PROGRAM DEMO

      COMMON /blocka/ inta, intb, intc(4)

      PRINT *,inta
      PRINT *,intb
      PRINT *,intc

      END PROGRAM

c ---------
c Variant 1
c ---------

      BLOCKDATA

      COMMON /blocka/ inta, intb, intc(4)

      data inta/1/, intb/2/, intc/3,4,5,6/

      END

c ---------
c Variant 2
c ---------

c      BLOCK DATA
c
c      COMMON /blocka/ inta, intb, intc(4)
c
c      data inta/1/, intb/2/, intc/3,4,5,6/
c
c      END

c ---------
c Variant 3
c ---------

c      BLOCK DATA
c
c      COMMON /blocka/ inta, intb, intc(4)
c
c      data inta/1/, intb/2/, intc/3,4,5,6/
c
c      END BLOCKDATA

c ---------
c Variant 4
c ---------

c      BLOCKDATA
c
c      COMMON /blocka/ inta, intb, intc(4)
c
c      data inta/1/, intb/2/, intc/3,4,5,6/
c
c      END BLOCK DATA


c ---------
c Variant 5
c ---------

c      BLOCKDATA
c
c      COMMON /blocka/ inta, intb, intc(4)
c
c      data inta/1/, intb/2/, intc/3,4,5,6/
c
c      END BLOCKDATA


c ---------
c Variant 6
c ---------

c      BLOCK DATA
c
c      COMMON /blocka/ inta, intb, intc(4)
c
c      data inta/1/, intb/2/, intc/3,4,5,6/
c
c      END BLOCK DATA
